Strange error during Make

For IntelliJ 7.0.1, has anyone seen an error like this at the end of the compilation process?

Error: Unrecognized option: -source. Use -help for help.

This happens when I try to Make the project or Rebuild it. It does not happen when I just Compile everything in the project. During rebuild, it compiles everything, copies all the resources over, then gives me this error at the end.

I have tried many things already, JDKs 5 and 6, reinstalling the JDK, reinstalling IntelliJ, rebooting the computer, verifying the JAVA_HOME and Path enviroment variables are correct, creating a new project file, etc.

IntelliJ 6 still seems to work fine. 7.0.1 had been working fine for at least a couple weeks too until this started happening.

4 comments
Comment actions Permalink

Finally got this fixed by deleting the .IntelliJIdea70 folder in my user folder.

0
Comment actions Permalink

Was working until I chose to Rebuild the project, at which point I get the same error again now.

0
Comment actions Permalink

Ok, I think I figured the real problem now. IntelliJ detected and setup a Web facet. On the Java EE Build Settings tab for the web facet, "Run Jasper validator for JSP files" is checked by default. If I uncheck that, I get no errors. When it is checked, I get that -source error. I have tried switching back and forth now several times and it consistently happens whenever that is checked.

Not sure if its relevent, but my JDK library is setup to have jasper-compiler.jar and jasper-runtime.jar on it in order for Jetty 5.1.3 to run correctly.

0
Comment actions Permalink

Fixed. Try next IDEA 7.0.2 EAP build.

Ok, I think I figured the real problem now. IntelliJ detected and setup a Web facet. On the Java EE Build Settings tab for the web facet, "Run Jasper validator for JSP files" is checked by default. If I uncheck that, I get no errors. When it is checked, I get that -source error. I have tried switching back and forth now several times and it consistently happens whenever that is checked.

Not sure if its relevent, but my JDK library is setup to have jasper-compiler.jar and jasper-runtime.jar on it in order for Jetty 5.1.3 to run correctly.



--
Nikolay Chashnikov
Software Developer
JetBrains, Inc
http://www.jetbrains.com
"Develop with pleasure!"

0

Please sign in to leave a comment.